# pCon.login JS Demo

## Requirements

- The demo has to run in secure context (https://developer.mozilla.org/en-US/docs/Web/Security/Secure_Contexts), i.e. either on localhost, or on https. 
Required to run SHA256.

- The host you are running the demo application on has to be registered as your Redirect URI

## Running demo locally

Replace $CLIENT_ID in `/js/config.js` with your Client ID.
Then you should already be able to run the demo application.

Easy ways to do this:
- Push to your server and serve the folder statically
- Running locally:
    - Using python:
        - python -m http.server --directory . --bind localhost $PORT (for Python 3)
        - python -m SimpleHTTPServer $PORT (for Python 2)
        - Go to http://localhost:$PORT in your browser
    - Using npm:
        - npx http-server .

These methods should usually work right out-of-the-box.